// clang-format off
const KnownTrampoline kKnownTrampolines[] = {
{"ABinderProcess_handlePolledCommands", GetTrampolineFunc<auto(void) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ABinderProcess_isThreadPoolStarted", GetTrampolineFunc<auto(void) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"ABinderProcess_joinThreadPool", GetTrampolineFunc<auto(void) -> void>(), reinterpret_cast<void*>(NULL)},
{"ABinderProcess_setThreadPoolMaxThreadCount", GetTrampolineFunc<auto(uint32_t) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"ABinderProcess_setupPolling", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ABinderProcess_startThreadPool", GetTrampolineFunc<auto(void) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_Class_define", GetTrampolineFunc<auto(void*, auto(*)(void*) -> void*, auto(*)(void*) -> void, auto(*)(void*, uint32_t, void*, void*) -> int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_Class_disableInterfaceTokenHeader", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_Class_getDescriptor", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_Class_setHandleShellCommand", GetTrampolineFunc<auto(void*, auto(*)(void*, int32_t, int32_t, int32_t, void*, uint32_t) -> int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_Class_setOnDump", GetTrampolineFunc<auto(void*, auto(*)(void*, int32_t, void*, uint32_t) -> int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_DeathRecipient_delete", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_DeathRecipient_new", GetTrampolineFunc<auto(auto(*)(void*) -> void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_DeathRecipient_setOnUnlinked", GetTrampolineFunc<auto(void*, auto(*)(void*) -> void) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_Weak_clone", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_Weak_delete", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_Weak_lt", GetTrampolineFunc<auto(void*, void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_Weak_new", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_Weak_promote", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_associateClass", GetTrampolineFunc<auto(void*, void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_debugGetRefCount", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_decStrong", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_dump", GetTrampolineFunc<auto(void*, int32_t, void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_forceDowngradeToSystemStability", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_forceDowngradeToVendorStability", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_fromJavaBinder", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_getCallingPid", GetTrampolineFunc<auto(void) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_getCallingSid", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_getCallingUid", GetTrampolineFunc<auto(void) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_getClass", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_getExtension", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_getUserData", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_incStrong", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_isAlive", GetTrampolineFunc<auto(void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_isHandlingTransaction", GetTrampolineFunc<auto(void) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_isRemote", GetTrampolineFunc<auto(void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_linkToDeath", GetTrampolineFunc<auto(void*, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_lt", GetTrampolineFunc<auto(void*, void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_markSystemStability", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_markVendorStability", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_markVintfStability", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_new", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_ping", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_prepareTransaction", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_setExtension", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_setInheritRt", GetTrampolineFunc<auto(void*, uint8_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_setMinSchedulerPolicy", GetTrampolineFunc<auto(void*, int32_t, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_setRequestingSid", GetTrampolineFunc<auto(void*, uint8_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_toJavaBinder", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_transact", GetTrampolineFunc<auto(void*, uint32_t, void*, void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AIBinder_unlinkToDeath", GetTrampolineFunc<auto(void*, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_appendFrom", GetTrampolineFunc<auto(void*, void*, int32_t, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_create", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AParcel_delete", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AParcel_fromJavaParcel", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AParcel_getAllowFds", GetTrampolineFunc<auto(void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_getDataPosition", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_getDataSize", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_markSensitive", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AParcel_marshal", GetTrampolineFunc<auto(void*, void*, uint32_t, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readBool", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readBoolArray", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, int32_t) -> uint8_t, auto(*)(void*, uint32_t, uint8_t) -> void) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readByte", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readByteArray", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, int32_t, void*) -> uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readChar", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readCharArray", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, int32_t, void*) -> uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readDouble", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readDoubleArray", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, int32_t, void*) -> uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readFloat", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readFloatArray", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, int32_t, void*) -> uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readInt32", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readInt32Array", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, int32_t, void*) -> uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readInt64", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readInt64Array", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, int32_t, void*) -> uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readParcelFileDescriptor", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readParcelableArray", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, int32_t) -> uint8_t, auto(*)(void*, void*, uint32_t) -> int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readStatusHeader", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readString", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, int32_t, void*) -> uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readStringArray", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, int32_t) -> uint8_t, auto(*)(void*, uint32_t, int32_t, void*) -> uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readStrongBinder", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readUint32", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readUint32Array", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, int32_t, void*) -> uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readUint64", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_readUint64Array", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, int32_t, void*) -> uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_reset", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_setDataPosition", GetTrampolineFunc<auto(void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_unmarshal", GetTrampolineFunc<auto(void*, void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeBool", GetTrampolineFunc<auto(void*, uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeBoolArray", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(void*, uint32_t) -> uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeByte", GetTrampolineFunc<auto(void*, int8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeByteArray", GetTrampolineFunc<auto(void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeChar", GetTrampolineFunc<auto(void*, uint16_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeCharArray", GetTrampolineFunc<auto(void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeDouble", GetTrampolineFunc<auto(void*, double) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeDoubleArray", GetTrampolineFunc<auto(void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeFloat", GetTrampolineFunc<auto(void*, float) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeFloatArray", GetTrampolineFunc<auto(void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeInt32", GetTrampolineFunc<auto(void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeInt32Array", GetTrampolineFunc<auto(void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeInt64", GetTrampolineFunc<auto(void*, int64_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeInt64Array", GetTrampolineFunc<auto(void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeParcelFileDescriptor", GetTrampolineFunc<auto(void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeParcelableArray", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(void*, void*, uint32_t) -> int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeStatusHeader", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeString", GetTrampolineFunc<auto(void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeStringArray", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(void*, uint32_t, void*) -> void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeStrongBinder", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeUint32", GetTrampolineFunc<auto(void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeUint32Array", GetTrampolineFunc<auto(void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeUint64", GetTrampolineFunc<auto(void*, uint64_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AParcel_writeUint64Array", GetTrampolineFunc<auto(void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_delete", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_dup", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_erase", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getBoolean", GetTrampolineFunc<auto(void*, void*, void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getBooleanKeys", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getBooleanVector", GetTrampolineFunc<auto(void*, void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getBooleanVectorKeys", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getDouble", GetTrampolineFunc<auto(void*, void*, void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getDoubleKeys", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getDoubleVector", GetTrampolineFunc<auto(void*, void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getDoubleVectorKeys", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getInt", GetTrampolineFunc<auto(void*, void*, void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getIntKeys", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getIntVector", GetTrampolineFunc<auto(void*, void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getIntVectorKeys", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getLong", GetTrampolineFunc<auto(void*, void*, void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getLongKeys", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getLongVector", GetTrampolineFunc<auto(void*, void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getLongVectorKeys", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getPersistableBundle", GetTrampolineFunc<auto(void*, void*, void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getPersistableBundleKeys", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getString", GetTrampolineFunc<auto(void*, void*, void*, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getStringKeys", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getStringVector", GetTrampolineFunc<auto(void*, void*, void*, int32_t, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_getStringVectorKeys", GetTrampolineFunc<auto(void*, void*, int32_t, auto(*)(int32_t, void*) -> void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_isEqual", GetTrampolineFunc<auto(void*, void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_new", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_putBoolean", GetTrampolineFunc<auto(void*, void*, uint8_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_putBooleanVector", GetTrampolineFunc<auto(void*, void*, void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_putDouble", GetTrampolineFunc<auto(void*, void*, double) -> void>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_putDoubleVector", GetTrampolineFunc<auto(void*, void*, void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_putInt", GetTrampolineFunc<auto(void*, void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_putIntVector", GetTrampolineFunc<auto(void*, void*, void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_putLong", GetTrampolineFunc<auto(void*, void*, int64_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_putLongVector", GetTrampolineFunc<auto(void*, void*, void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_putPersistableBundle", GetTrampolineFunc<auto(void*, void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_putString", GetTrampolineFunc<auto(void*, void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_putStringVector", GetTrampolineFunc<auto(void*, void*, void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_readFromParcel", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_size", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APersistableBundle_writeToParcel", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_NotificationRegistration_delete", DoBadTrampoline, reinterpret_cast<void*>(DoBadThunk)},
{"AServiceManager_addService", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_addServiceWithFlags", GetTrampolineFunc<auto(void*, void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_checkService", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_forEachDeclaredInstance", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, void*) -> void) -> void>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_forceLazyServicesPersist", GetTrampolineFunc<auto(uint8_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_getService", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_getUpdatableApexName", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, void*) -> void) -> void>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_isDeclared", GetTrampolineFunc<auto(void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_isUpdatableViaApex", GetTrampolineFunc<auto(void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_openDeclaredPassthroughHal", GetTrampolineFunc<auto(void*, void*, int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_reRegister", GetTrampolineFunc<auto(void) -> void>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_registerForServiceNotifications", DoBadTrampoline, reinterpret_cast<void*>(DoBadThunk)},
{"AServiceManager_registerLazyService", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_setActiveServicesCallback", GetTrampolineFunc<auto(auto(*)(uint8_t, void*) -> uint8_t, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_tryUnregister", GetTrampolineFunc<auto(void) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AServiceManager_waitForService", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AStatus_delete", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AStatus_deleteDescription", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AStatus_fromExceptionCode", GetTrampolineFunc<auto(int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AStatus_fromExceptionCodeWithMessage", GetTrampolineFunc<auto(int32_t, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AStatus_fromServiceSpecificError", GetTrampolineFunc<auto(int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AStatus_fromServiceSpecificErrorWithMessage", GetTrampolineFunc<auto(int32_t, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AStatus_fromStatus", GetTrampolineFunc<auto(int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AStatus_getDescription", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AStatus_getExceptionCode", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AStatus_getMessage", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AStatus_getServiceSpecificError", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AStatus_getStatus", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AStatus_isOk", GetTrampolineFunc<auto(void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AStatus_newOk", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"_Z25AIBinder_toPlatformBinderP8AIBinder", DoBadTrampoline, reinterpret_cast<void*>(DoBadThunk)},
{"_Z26AParcel_viewPlatformParcelP7AParcel", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"_Z26AParcel_viewPlatformParcelPK7AParcel", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"_Z27AIBinder_fromPlatformBinderRKN7android2spINS_7IBinderEEE", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
};  // kKnownTrampolines
const KnownVariable kKnownVariables[] = {
};  // kKnownVariables
// clang-format on
